
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Nuova Configurazione Processo </strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Parametri</th>
			</tr>
		</thead>
		<tbody>
		<tr>
			 <td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>NOME PROCESSO
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						 <input type="text" class="form-control" id="title" placeholder="Inserisci il nome processo" ng-model="processName" required>
					</span>
				</div>
			</td>				
		</tr>
		<tr>
			<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>IDENTIFICAZIONE CON ID_SONG
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span2">
							<label class="switch"> 
		  						<input type="checkbox" ng-model="idSongSwitch" ng-change="onSwichChanged('idSong')">
							  	<div class="slider round"></div>
							</label>				
						</span>
						
						<select class="selectorRightSwitch" name="idSongStepNumber" id="idSongStepNumber"  ng-options="item for item in ctrl.range" ng-model="idSongStep" ng-change="selectedItemChanged('idSong')"></select>	
						
					</div>
				</td>
				
			</tr>
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span>IDENTIFICAZIONE CON ISWC
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="iswcSwitch" ng-change="onSwichChanged('iswc')">
								  	<div class="slider round"></div>
								</label>				
							</span>
							<select class="selectorRightSwitch" name="iswcStepNumber" id="iswcStepNumber"  ng-options="item for item in ctrl.range" ng-model="iswcStep"  ng-change="selectedItemChanged('iswc')"></select>	
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span>IDENTIFICAZIONE CON ISRC
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="isrcSwitch" ng-change="onSwichChanged('isrc')">
								  	<div class="slider round"></div>
								</label>				
							</span>
							<select class="selectorRightSwitch" name="isrcStepNumber" id="isrcStepNumber"  ng-options="item for item in ctrl.range" ng-model="isrcStep" ng-change="selectedItemChanged('isrc')"></select>	
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span>IDENTIFICAZIONE CON TITOLO AUTORI
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="titoloAutoriSwitch" ng-change="onSwichChanged('titoloAutori')">
								  	<div class="slider round"></div>
								</label>				
							</span>
							<select class="selectorRightSwitch" name="titoloAutoriStepNumber" id="titoloAutoriStepNumber"  ng-model="titoloAutoriStep" ng-options="item for item in ctrl.range" ng-change="selectedItemChanged('titoloAutori')"></select>	
						</div>
					</td>
			</tr>
				
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid || (form.$valid && noneSelected())" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

    <script type="text/ng-template" id="errorDialogId">

        <div id="target"  >
          <strong>{{ngDialogData}}</strong>
        </div>
    </script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
